module Eco
  module API
    module Organization
      class Preferences

        PREFERENCES_MODEL = {
          show_sidebar: true,
          show_shortcuts: true,
          show_coming_soon: true,
          show_recently_visited_forms: true,
          show_tasks: true
        }.to_json

        PREFERENCES_REFERENCE  = File.join(__dir__, 'preferences_reference.json')

        attr_reader :preferences_model, :preferences_reference
        attr_reader :featured_preferences

        def initialize(init = {})
          @preferences_model = JSON.parse(PREFERENCES_MODEL)
          @preferences_reference = JSON.load(File.open(PREFERENCES_REFERENCE))
          @featured_preferences = @preferences_reference.keys
        end

      end
    end
  end
end
