module Eco
  module API
    class UseCases
      class DefaultCases < Eco::API::UseCases
        autoloads_children_of "Eco::API::Common::Loaders::UseCase"
        autoload_namespace    "Eco::API::UseCases::DefaultCases"
      end
    end
  end
end

require_relative 'default_cases/abstract_policygroup_abilities_case.rb'
require_relative 'default_cases/analyse_people_case'
require_relative 'default_cases/append_usergroups_case'
require_relative 'default_cases/change_email_case'
require_relative 'default_cases/clean_unknown_tags_case'
require_relative 'default_cases/codes_to_tags_case'
require_relative 'default_cases/create_case'
require_relative 'default_cases/create_details_case'
require_relative 'default_cases/create_details_with_supervisor_case'
require_relative 'default_cases/delete_trans_case'
require_relative 'default_cases/delete_sync_case'
require_relative 'default_cases/email_as_id_case'
require_relative 'default_cases/hris_case'
require_relative 'default_cases/new_id_case'
require_relative 'default_cases/new_email_case'
require_relative 'default_cases/org_data_convert_case'
require_relative 'default_cases/refresh_case'
require_relative 'default_cases/reinvite_trans_case'
require_relative 'default_cases/reinvite_sync_case'
require_relative 'default_cases/remove_account_trans_case'
require_relative 'default_cases/remove_account_sync_case'
require_relative 'default_cases/reset_landing_page_case'
require_relative 'default_cases/restore_db_case'
require_relative 'default_cases/set_default_tag_case'
require_relative 'default_cases/set_supervisor_case'
require_relative 'default_cases/supers_hierarchy_case'
require_relative 'default_cases/supers_cyclic_identify_case'
require_relative 'default_cases/switch_supervisor_case'
require_relative 'default_cases/to_csv_case'
require_relative 'default_cases/to_csv_detailed_case'
require_relative 'default_cases/transfer_account_case'
require_relative 'default_cases/update_case'
require_relative 'default_cases/update_details_case'
require_relative 'default_cases/upsert_case'
