class Eco::API::UseCases::DefaultCases::DeleteTransCase < Eco::API::Common::Loaders::UseCase
  name "delete"
  type :transform

  def delete(people, session, options, usecase)
    delete   = session.new_job("main", "delete", :delete, usecase)
    people.each {|person| delete.add(person)}
  end

  def main(people, session, options, usecase)
    delete(people, session, options, usecase)
  end

end
