require 'csv'
require 'json'
require 'pp'
require 'dotenv'
require 'dotenv/load'


module Eco
end

require_relative 'eco/csv'
require_relative 'eco/language'
require_relative 'eco/common'
require_relative 'eco/data'
require_relative 'eco/api'
require_relative 'eco/cli'
require_relative 'eco/assets'
