class Eco::API::Common::People::DefaultParsers::FreemiumParser < Eco::API::Common::Loaders::Parser
  attribute "freemium"

  def parser(hash, deps)
    value = hash["freemium"]
    value = value.first if value.is_a?(Array)
    truthy(value)
  end

  def serializer(person, deps)
    person.freemium&.to_s
  end

  private

  def truthy (value)
    %w[true y yes x].include?(value.to_s&.downcase)
  end

end
