class Eco::API::Common::People::DefaultParsers::SendInvitesParser < Eco::API::Common::Loaders::Parser
  attribute "send_invites"

  def parser(hash, deps)
    value = hash["send_invites"]
    value = value.first if value.is_a?(Array)
    truthy(value)
  end

  def serializer(person, deps)
    person.account && person.account.send_invites&.to_s
  end
  
  private

  def truthy (value)
    %w[true y yes x].include?(value.to_s&.downcase)
  end

end
