module Ecoportal
  module API
    class V1
      # @attr entry [Eco::API::Common::People::PersonEntry, Hash] the input entry plain hash data used to update/create this person.
      class Person
        attr_accessor :entry

        def identify(section = :person)
          if entry && section == :entry
            entry.to_s(:identify)
          else
            str_id = id ? "id: '#{id}'; " : ""
            "'#{name}' (#{str_id}ext_id: '#{external_id}'; email: '#{email}')"
          end
        end

      end
    end
  end
end
