module Eco
  module API
    class Error
      class Handler < Eco::API::UseCases::UseCase
        @types = [:error_handler]

        def initialize(name, type: :error_handler, root:, &block)
          super(name, type: type, root: root, &block)
        end

        def root=(value)
          raise "Root should be a Eco::API::Error::Handlers object. Given: #{value}" if !value.is_a?(Eco::API::Error::Handlers)
          @root = value
        end

      end
    end
  end
end
