module Eco
  module API
    class MicroCases < Eco::API::Common::Session::BaseSession

      def micro
        self
      end

    end
  end
end

require_relative 'microcases/account_excluded'
require_relative 'microcases/append_usergroups'
require_relative 'microcases/core_excluded'
require_relative 'microcases/fix_default_group'
require_relative 'microcases/fix_filter_tags'
require_relative 'microcases/people_cache'
require_relative 'microcases/people_load'
require_relative 'microcases/people_refresh'
require_relative 'microcases/people_search'
require_relative 'microcases/preserve_filter_tags'
require_relative 'microcases/preserve_default_tag'
require_relative 'microcases/preserve_policy_groups'
require_relative 'microcases/set_account'
require_relative 'microcases/set_core_with_supervisor'
require_relative 'microcases/set_core'
require_relative 'microcases/refresh_default_tag'
require_relative 'microcases/set_supervisor'
require_relative 'microcases/strict_search'
require_relative 'microcases/s3upload_targets'
require_relative 'microcases/with_each'
require_relative 'microcases/with_each_leaver'
require_relative 'microcases/with_each_present'
require_relative 'microcases/with_each_starter'
require_relative 'microcases/with_each_subordinate'
require_relative 'microcases/with_supervisor'
