module Eco
  module API
    class Policies
      class Policy < Eco::API::UseCases::UseCase
        @types = [:transform]
        
        def initialize(name, type: :transform, root:, &block)
          super(name, type: type, root: root, &block)
        end

        def root=(value)
          raise "Root should be a Eco::API::Policies object. Given: #{value}" if !value.is_a?(Eco::API::Policies)
          @root = value
        end

      end
    end
  end
end
