module Eco
  module API
    class Session
      class Config
        class Logger < BaseConfig

          def console_level=(value)
            self["console_level"] = value
          end

          def console_level
            self["console_level"]
          end

          def file_level=(value)
            self["file_level"] = value
          end

          def file_level
            self["file_level"]
          end

          def file=(file)
            self["file"] = file
          end

          def file
            self["file"]
          end

          def timestamp_console=(value)
            self["timestamp_console"] = value
          end

          def timestamp_console
            self["timestamp_console"]
          end

          def log_connection=(value)
            self["log_connection"] = !!value
          end

          def log_connection?
            self["log_connection"]
          end

        end
      end
    end
  end
end
