class Eco::API::UseCases::DefaultCases::EmailAsIdCase < Eco::API::Common::Loaders::UseCase
  name "email-as-id"
  type :transform

  def main(people, session, options, usecase)
    update   = session.new_job("main", "update", :update, usecase, :core)
    people.each do |person|
      person.external_id = person.email
      update.add(person)
    end
  end

end
