class Eco::API::UseCases::DefaultCases::ReinviteTransCase < Eco::API::Common::Loaders::UseCase
  name "reinvite"
  type :transform

  def reinvite(users, session, options, usecase)
    invite   = session.new_job("main", "invite", :update, usecase, :account)
    users.each do |person|
      person.account.send_invites = true
      invite.add(person)
    end
  end

  def main(people, session, options, usecase)
    reinvite(people.users, session, options, usecase)
  end

end
