class Eco::API::UseCases::DefaultCases::RemoveAccountSyncCase < Eco::API::UseCases::DefaultCases::RemoveAccountTransCase
  name "remove-account"
  type :sync

  def main(entries, people, session, options, usecase)
    micro    = session.micro
    found    = micro.with_each_present(entries, people, options, log_starter: true)
    remove_account(found.users, session, options, usecase)
  end

end
