class Eco::API::UseCases::DefaultCases::RemoveAccountTransCase < Eco::API::Common::Loaders::UseCase
  name "remove-account"
  type :transform

  def remove_account(users, session, options, usecase)
    update   = session.new_job("main", "update", :update, usecase, :account)
    users.each do |user|
      user.account = nil
      update.add(user)
    end
  end

  def main(people, session, options, usecase)
    remove_account(people.users, session, options, usecase)
  end

end
